$(document).ready(function (){
    $("form .show_more_upload_fields").each(function() {
        $(this).text('Dodaj kolejne pole >').show().css({'font-weight':'bold',cursor: 'pointer', borderBottom: '0px',color: '#AE3D4E'});
        
        $(this).click(function() {
            var parentDd = $(this).parents("dd");
            var nextDt = parentDd.next("dt");
            var nextDd = nextDt.next("dd");
            nextDt.slideDown();
            nextDd.slideDown();
        });
    });
    
    $("form input[type=file]:not(#photo):not(#photo_1)").each(function() {
        var parentDd = $(this).parents("dd");
        var parentDt = parentDd.prev("dt");
        parentDd.hide();
        parentDt.hide();
    });
    
    
    $('#wikisearch-input').focus(function (){
		$(this).addClass("has-focus");
	})
	
	$('#wikisearch-input').blur(function (){
		$(this).removeClass("has-focus");
	});	
    
	$(document).bind('keypress', function(e) {
		var code = (e.keyCode ? e.keyCode : e.which);
		if(code == '13' && ($('#wikisearch-input').is(".has-focus"))) {
			$('#wikisearch-submit').click();
		}
	});
    
    $('#wikisearch-submit').click(function(){
    	var val = $('#wikisearch-input').val();
    	if(val != '')
    		document.location='/szukaj/powstancze-biogramy/'+val+'/?s='+val;
    });
    
    var txtPropose = "W tym miejscu masz możliwość wpisania wszystkich informacji z życia Powstańca Warszawskiego, którego Biogram chcesz stworzyć!\n\n:: Napisz nam wszystko co o Nim wiesz!\n\n:: Gdzie mieszkał przed wybuchem Powstania Warszawskiego?\n\n:: Może słyszałeś czym się zajmował przed wojną i w czasie okupacji lub gdzie chodził do szkoły?\n\n:: Znasz jego przyjaciół, kolegów z oddziału?\n\n:: Przekaż nam wszystkie informacje, a my zadbamy oto, by powstał z nich biogram twojego Powstańca!\n\n:: UWAGA: Nie zapomnij o wpisaniu źródeł na podstawie których uzupełniałeś biogram!\n\n:: KLIKNIJ TU I ZACZNIJ SWOJĄ OPOWIEŚĆ!";
    if($('.form-textarea-propose').val()==''){
    	$('.form-textarea-propose').css({'color':'rgb(167,169,172)'});
    	$('.form-textarea-propose').val(txtPropose);
    }
    $(".form-textarea-propose").focus( function() {
    	if($(".form-textarea-propose").val() == txtPropose){
    		$(".form-textarea-propose").val("");
    		$('.form-textarea-propose').css({'color':'rgb(77,77,77)'});
    	}	
    }); 
});